Name: mm
Version: 1.1.3
Summary: A shared memory library.
Release: 1.0.100
Group: System Environment/Libraries
URL: http://www.engelschall.com/sw/mm/
Source0: http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The MM library provides an abstraction layer which allows related
processes to easily share data using shared memory.

%package devel
Summary: Files needed for developing applications which use the MM library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The MM library provides an abstraction layer which allows related
processes to easily share data using shared memory.  The mm-devel
package contains header files and static libraries for use when
developing applications which will use the MM library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" ; export CFLAGS
%configure
make
./mm_test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE README PORTING THANKS
%attr(0755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Tue May 07 2002 Jeff Baldwin <jeff@guardiandigital.com>
- Initial package for EnGarde Secure Linux
